# state_mirror.cpp File Reference

Template File. More...

`#include <gtkmm/dialog.h>`
`#include <gtkmm/entry.h>`
`#include <synfig/valuenode_dynamiclist.h>`
`#include <synfigapp/action_system.h>`
`#include "state_mirror.h"`
`#include "../canvasview.h"`
`#include "../workarea.h"`
`#include "../app.h"`
`#include <synfigapp/action.h>`
`#include "../event_mouse.h"`
`#include "../event_layerclick.h"`
`#include "../toolbox.h"`
`#include "../dialog_tooloptions.h"`
`#include <gtkmm/optionmenu.h>`
`#include "../duck.h"`
`#include <synfigapp/main.h>`
`#include "../general.h"`

## Defines

#define | EPSILON 0.0000001

## Enumerations

enum | Axis { AXIS_X, AXIS_Y }

## Detailed Description

Template File.

$Id$

## Define Documentation

#define EPSILON 0.0000001

Referenced by synfigapp::BLineConverter::operator()(), studio::Widget_Timeslider::redraw(), studio::Adjust_Window::update_child(), and studio::Adjust_Window::update_fromchild().

## Enumeration Type Documentation

enum Axis

Enumerator:

  AXIS_X |
  AXIS_Y |